# Create

Launch stage: Beta

`POST /api/2.1/supervisor-agents`

Creates a new Supervisor Agent.

API scopes: supervisor-agents

## Request body

- `supervisor_agent` (object, optional)
  The Supervisor Agent to create.
  - `name` (string, optional)
    The resource name of the SupervisorAgent.
     Format: supervisor-agents/{supervisor_agent_id}
  - `display_name` (string, optional)
    The display name of the Supervisor Agent, unique at workspace level.
  - `description` (string, optional)
    Description of what this agent can do (user-facing).
  - `instructions` (string, optional)
    Optional natural-language instructions for the supervisor agent.
  - `id` (string, optional)
    Deprecated: Use supervisor_agent_id instead.
  - `supervisor_agent_id` (string, optional)
    The universally unique identifier (UUID) of the Supervisor Agent.
  - `creator` (string, optional)
    The creator of the Supervisor Agent.
  - `create_time` (string, optional)
    Creation timestamp.
  - `endpoint_name` (string, optional)
    The name of the supervisor agent's serving endpoint.
  - `experiment_id` (string, optional)
    The MLflow experiment ID.

## Returns

Returns the SupervisorAgent object.

## Response

```json
{
  "name": "string",
  "display_name": "string",
  "description": "string",
  "instructions": "string",
  "id": "string",
  "supervisor_agent_id": "string",
  "creator": "string",
  "create_time": "string",
  "endpoint_name": "string",
  "experiment_id": "string"
}
```

